- [HTTP request](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/batchDelete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/batchDelete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/batchDelete#body.request_body)
  - [JSON representation](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/batchDelete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/batchDelete#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/batchDelete#body.aspect)
- [Examples](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/batchDelete#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/batchDelete#try-it)

Delete a batch of identifyable data points.

### HTTP request

`POST https://health.googleapis.com/v4/{parent=users/*/dataTypes/*}/dataPoints:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4/errors)

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Optional. Parent (data type) for the Data Point collection Format: `users/me/dataTypes/{dataType}`, e.g.: - `users/me/dataTypes/steps` - `users/me/dataTypes/-` For a list of the supported data types see the `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints#DataPoint` union field. Deleting data points across multiple data type collections is supported following <https://aip.dev/159>. If this is set, the parent of all of the data points specified in `names` must match this field. It takes the form `users/{user}/dataTypes/{datatype}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. The names of the DataPoints to delete. A maximum of 10000 data points can be deleted in a single request. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/health/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/googlehealth.activity_and_fitness.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.health_metrics_and_measurements.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.nutrition.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.sleep.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.reproductive_health.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.logged_symptoms.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.mindfulness.writeonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).